# bcond_with    = disable
# bcond_without = enable
%bcond_without gtkdoc

%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_major}
%define libnamedev      %mklibname -d %{name}

Summary:    Pidgin Finch Library
Name:       gnt
Version:    2.14.0
Release:    %mkrel 1
License:    GPLv2+
Group:      System/Internationalization
URL:        https://www.pidgin.im/
Source0:    https://downloads.sourceforge.net/pidgin/lib%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-no-export-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  meson
BuildRequires:  pkgconfig(gobject-introspection-1.0)
%if %{with gtkdoc}
BuildRequires:  gtk-doc
BuildRequires:  libxslt-proc
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtd412-xml
%endif

%description
Pidgin Finch Library

%package -n %{lib_name}
Summary:    %{summary}
Group:      %{group}
Provides:   lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}

%description -n %{lib_name}
Pidgin Finch Library.

%package -n %{libnamedev}
Summary:    %{summary}
Group:      Development/GNOME and GTK+
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Requires:   %{name} = %{version}
Requires:   %{lib_name} = %{version}
Recommends: %{name}-doc >= %{version}

%description -n %{libnamedev}
This package includes the static libraries and header files
for the gnt package.

%package doc
Summary:        %{summary}
Group:      Development/GNOME and GTK+
BuildArch:  noarch

%description doc
This package provides API documentation for Pango.

%prep
%setup -q -n lib%{name}-%{version}

%build
%meson \
        -Dgtk_doc=%{?with_gtkdoc:true}%{!?with_gtkdoc:false}
%meson_build

%check
#disabled for https://bugzilla.gnome.org/show_bug.cgi?id=672981
%meson_check || true

%install
%meson_install

%files
%doc README.md

%files -n %{lib_name}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}
%{_libdir}/%{name}/*.so

%files -n %{libnamedev}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/gnt/*.h

%if %{with gtkdoc}
%files doc
%{_datadir}/gtk-doc/html/lib%{name}
%endif


%changelog
* Thu Jun 11 2020 shlomif <shlomif> 2.14.0-1.mga8
+ Revision: 1592391
- based on pango.spec

